Skip site navigation (1) Skip section navigation (2)

Support for sslverify

From: Magnus Hagander <magnus(at)hagander(dot)net>
To: pgadmin-hackers <pgadmin-hackers(at)postgresql(dot)org>
Subject: Support for sslverify
Date: 2009-03-15 14:51:23
Message-ID: 49BD15EB.4060202@hagander.net (view raw or flat)
Thread:
Lists: pgadmin-hackers
We've seen it here and Dave reported to me on IM that he has received
further reports of people getting stuck by the new 8.4 SSL code that
verifies server certificates by default.

I think this will happen for example for everybody who has their pg on a
debian server and their client elsewhere, for example, since debian
enables a snakeoil SSL cert by default (which in itself is a pretty bad
idea, but it's what they do)


Should we provide an option to override this (connection option
sslverify) in the connection dialog? And is it something we need to do
for this version (yes, I know it's already in beta..)

//Magnus

Responses

pgadmin-hackers by date

Next:From: Guillaume LelargeDate: 2009-03-15 14:55:38
Subject: Re: pgAdminIII 1.10 Visual Tour
Previous:From: Dave PageDate: 2009-03-14 11:04:38
Subject: Re: SVN Commit by dpage: r7703 - trunk/www/advocacy

Privacy Policy | About PostgreSQL
Copyright © 1996-2014 The PostgreSQL Global Development Group